Crystal Space: csColor4 Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csColor4 Class Reference

A class used to represent a color in RGBA space. More...

`#include <csutil/cscolor.h>`

Inheritance diagram for csColor4:

[legend]
List of all members.

## Public Member Functions
| csColor4 (const csColor &c)
| csColor4 (float r, float g, float b, float a=1.0f)
| Initialize a color object with given R,G,B,A components.
| csColor4 ()
| Initialize a color object (contents undefined).
csColor4 & | operator *= (float f)
| Multiply this color by a scalar value.
bool | operator!= (const csColor4 &c) const
| Compare inequality of two colors.
csColor4 & | operator+= (const csColor &c)
| Add another color to this one.
csColor4 & | operator+= (const csColor4 &c)
| Add another color to this one.
csColor & | operator-= (const csColor &c)
| Subtract another color to this one.
csColor4 & | operator-= (const csColor4 &c)
| Subtract another color to this one.
csColor4 & | operator= (const csColor &c)
| Assign one color object to another/.
csColor4 & | operator= (const csColor4 &c)
| Assign one color object to another.
bool | operator== (const csColor4 &c) const
| Compare equality of two colors.
void | Set (float r, float g, float b, float a)
void | Set (float r, float g, float b)
| Set color to given R,G,B components.
void | Set (const csColor4 &c)
void | Set (const csColor &c)
| Set color to given color.
## Public Attributes
float | alpha
| Alpha value.

## Detailed Description

A class used to represent a color in RGBA space.

Definition at line 139 of file cscolor.h.

## Constructor & Destructor Documentation

csColor4::csColor4 | ( |  | ) | `[inline]`

Initialize a color object (contents undefined).

Definition at line 146 of file cscolor.h.

csColor4::csColor4 | ( | float | r,
|  | float | g,
|  | float | b,
|  | float | a = `1.0f` |
| ) |  |  | `[inline]`

Initialize a color object with given R,G,B,A components.

Definition at line 148 of file cscolor.h.

References alpha.

## Member Function Documentation

csColor4& csColor4::operator *= | ( | float | f | ) | `[inline]`

Multiply this color by a scalar value.

Reimplemented from csColor.

Definition at line 192 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

bool csColor4::operator!= | ( | const csColor4 & | c | ) | const`[inline]`

Compare inequality of two colors.

Definition at line 227 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

csColor4& csColor4::operator+= | ( | const csColor & | c | ) | `[inline]`

Add another color to this one.

Reimplemented from csColor.

Definition at line 204 of file cscolor.h.

References csColor::blue, csColor::green, and csColor::red.

csColor4& csColor4::operator+= | ( | const csColor4 & | c | ) | `[inline]`

Add another color to this one.

Definition at line 195 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

csColor& csColor4::operator-= | ( | const csColor & | c | ) | `[inline]`

Subtract another color to this one.

Reimplemented from csColor.

Definition at line 216 of file cscolor.h.

References csColor::blue, csColor::green, and csColor::red.

csColor4& csColor4::operator-= | ( | const csColor4 & | c | ) | `[inline]`

Subtract another color to this one.

Definition at line 207 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

csColor4& csColor4::operator= | ( | const csColor & | c | ) | `[inline]`

Assign one color object to another/.

Reimplemented from csColor.

Definition at line 189 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

csColor4& csColor4::operator= | ( | const csColor4 & | c | ) | `[inline]`

Assign one color object to another.

Definition at line 180 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

bool csColor4::operator== | ( | const csColor4 & | c | ) | const`[inline]`

Compare equality of two colors.

Definition at line 219 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

void csColor4::Set | ( | float | r,
|  | float | g,
|  | float | b |
| ) |  |  | `[inline]`

Set color to given R,G,B components.

Reimplemented from csColor.

Definition at line 165 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

void csColor4::Set | ( | const csColor & | c | ) | `[inline]`

Set color to given color.

Reimplemented from csColor.

Definition at line 151 of file cscolor.h.

References alpha, csColor::blue, csColor::green, and csColor::red.

## Member Data Documentation

float csColor4::alpha

Alpha value.

Definition at line 143 of file cscolor.h.

Referenced by csColor4(), operator *=(), operator!=(), operator+=(), operator-=(), operator=(), operator==(), and Set().

The documentation for this class was generated from the following file:

- csutil/cscolor.h